com.holonplatform.vaadin.flow.data

## Interface AdditionalItemsProvider<T>

- Type Parameters:
    `T` - Item type
  All Superinterfaces:
    Serializable

      public interface AdditionalItemsProvider<T>
      extends Serializable

  Additional items provider. The additional items will be added to the item set returned by the actual backend query.
  See Also:
    `DatastoreDataProvider`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<T>` | `getAdditionalItems(com.holonplatform.core.datastore.Datastore datastore, com.holonplatform.core.datastore.DataTarget<?> target, com.holonplatform.core.property.PropertySet<?> propertySet)` Get the additional items.
    `int` | `getAdditionalItemsCount(com.holonplatform.core.datastore.Datastore datastore, com.holonplatform.core.datastore.DataTarget<?> target, com.holonplatform.core.property.PropertySet<?> propertySet)` Get the additional items count.

- - ### Method Detail

    - #### getAdditionalItemsCount

          int getAdditionalItemsCount(com.holonplatform.core.datastore.Datastore datastore,
                                      com.holonplatform.core.datastore.DataTarget<?> target,
                                      com.holonplatform.core.property.PropertySet<?> propertySet)

      Get the additional items count.
      Parameters:
        `datastore` - Datastore instance
        `target` - Data target of the backend query
        `propertySet` - Projection of the backend query
      Returns:
        The additional items count, `0` if none

    - #### getAdditionalItems

          List<T> getAdditionalItems(com.holonplatform.core.datastore.Datastore datastore,
                                     com.holonplatform.core.datastore.DataTarget<?> target,
                                     com.holonplatform.core.property.PropertySet<?> propertySet)

      Get the additional items.
      Parameters:
        `datastore` - Datastore instance
        `target` - Data target of the backend query
        `propertySet` - Projection of the backend query
      Returns:
        The additional items list. List size must match the `getAdditionalItemsCount(Datastore, DataTarget, PropertySet)` value

Copyright © 2020 The Holon Platform. All rights reserved.